import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading HoneywellIndustrialMediaSensorToGeneral Converter")

class HoneywellIndustrialMediaSensorToGeneral(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "Black Mark":
			res = "Mark"
		elif myList[0] == "Media With Gaps":
			res = "Gap"
		elif myList[0] == "Continuous Fix Len" or "Continuous Var Len":
			res = "None"
		return res




plugin = HoneywellIndustrialMediaSensorToGeneral("HoneywellIndustrialMediaSensorToGeneral")

store.AddConverter(plugin)